Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyClassDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDoc

All Implemented Interfaces:
  GroovyClassDoc

    public class SimpleGroovyClassDoc
    extends SimpleGroovyAbstractableElementDoc

Field Summary
`static java.util.regex.Pattern` | `CODE_REGEX`
`static java.util.regex.Pattern` | `LINK_REGEX`
`static java.util.regex.Pattern` | `NAME_ARGS_REGEX`
`static java.util.regex.Pattern` | `REF_LABEL_REGEX`
`static java.util.regex.Pattern` | `SPLIT_ARGS_REGEX`
`static java.util.regex.Pattern` | `TAG_REGEX`

Constructor Summary
`SimpleGroovyClassDoc(java.util.List importedClassesAndPackages, java.lang.String name, java.util.List links)`
`SimpleGroovyClassDoc(java.util.List importedClassesAndPackages, java.lang.String name)`

Method Summary
`boolean` | `add(GroovyConstructorDoc constructor)`
`boolean` | `add(GroovyFieldDoc field)`
`boolean` | `add(GroovyMethodDoc method)`
`boolean` | `addEnumConstant(GroovyFieldDoc field)`
`void` | `addInterfaceName(java.lang.String className)`
`boolean` | `addNested(GroovyClassDoc nestedClass)`
`boolean` | `addProperty(GroovyFieldDoc property)`
`java.lang.String` | `commentText()`
`GroovyConstructorDoc[]` | `constructors()` returns a sorted array of constructors
`GroovyConstructorDoc[]` | `constructors(boolean filter)`
`static java.lang.String` | `decodeSpecialSymbols(java.lang.String text)`
`boolean` | `definesSerializableFields()`
`static java.lang.String` | `encodeSpecialSymbols(java.lang.String text)`
`GroovyFieldDoc[]` | `enumConstants()` returns a sorted array of enum constants
`GroovyFieldDoc[]` | `fields()` returns a sorted array of fields
`GroovyFieldDoc[]` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(java.lang.String className)`
`java.lang.String` | `firstSentenceCommentText()`
`java.lang.String` | `getDocUrl(java.lang.String type)`
`java.lang.String` | `getDocUrl(java.lang.String type, boolean full)`
`static java.lang.String` | `getDocUrl(java.lang.String type, boolean full, java.util.List links, java.lang.String relativePath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)`
`java.lang.String` | `getFullPathName()`
`GroovyClassDoc` | `getOuter()`
`java.util.List` | `getParentClasses()`
`java.util.Set` | `getParentInterfaces()`
`java.lang.String` | `getRelativeRootPath()`
`java.lang.String` | `getSuperClassName()`
`GroovyClassDoc[]` | `importedClasses()`
`GroovyPackageDoc[]` | `importedPackages()`
`GroovyClassDoc[]` | `innerClasses()` returns a sorted array of nested classes and interfaces
`GroovyClassDoc[]` | `innerClasses(boolean filter)`
`GroovyType[]` | `interfaceTypes()`
`GroovyClassDoc[]` | `interfaces()`
`boolean` | `isExternalizable()`
`boolean` | `isGroovy()`
`boolean` | `isPrimitive()`
`boolean` | `isSerializable()`
`GroovyMethodDoc[]` | `methods()` returns a sorted array of methods
`GroovyMethodDoc[]` | `methods(boolean filter)`
`GroovyFieldDoc[]` | `properties()` returns a sorted array of properties
`java.lang.String` | `qualifiedTypeName()`
`java.lang.String` | `replaceAllTags(java.lang.String self, java.lang.String s1, java.lang.String s2, java.util.regex.Pattern regex)`
`static java.lang.String` | `replaceAllTags(java.lang.String self, java.lang.String s1, java.lang.String s2, java.util.regex.Pattern regex, java.util.List links, java.lang.String relPath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)`
`java.lang.String` | `replaceAllTagsCollated(java.lang.String self, java.lang.String preKey, java.lang.String postKey, java.lang.String valueSeparator, java.lang.String postValues, java.util.regex.Pattern regex)`
`java.lang.String` | `replaceTags(java.lang.String comment)`
`GroovyFieldDoc[]` | `serializableFields()`
`GroovyMethodDoc[]` | `serializationMethods()`
`void` | `setFullPathName(java.lang.String fullPathName)`
`void` | `setGroovy(boolean isgroovy)`
`void` | `setOuter(GroovyClassDoc outer)`
`void` | `setSuperClass(GroovyClassDoc doc)`
`void` | `setSuperClassName(java.lang.String className)`
`java.lang.String` | `simpleTypeName()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`
`java.lang.String` | `typeName()`

Methods inherited from class SimpleGroovyAbstractableElementDoc
isAbstract, setAbstract

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CODE_REGEX

    public static final java.util.regex.Pattern CODE_REGEX

### LINK_REGEX

    public static final java.util.regex.Pattern LINK_REGEX

### NAME_ARGS_REGEX

    public static final java.util.regex.Pattern NAME_ARGS_REGEX

### REF_LABEL_REGEX

    public static final java.util.regex.Pattern REF_LABEL_REGEX

### SPLIT_ARGS_REGEX

    public static final java.util.regex.Pattern SPLIT_ARGS_REGEX

### TAG_REGEX

    public static final java.util.regex.Pattern TAG_REGEX

Constructor Detail

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(java.util.List importedClassesAndPackages, java.lang.String name, java.util.List links)

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(java.util.List importedClassesAndPackages, java.lang.String name)

Method Detail

### add

    public boolean add(GroovyConstructorDoc constructor)

### add

    public boolean add(GroovyFieldDoc field)

### add

    public boolean add(GroovyMethodDoc method)

### addEnumConstant

    public boolean addEnumConstant(GroovyFieldDoc field)

### addInterfaceName

    public void addInterfaceName(java.lang.String className)

### addNested

    public boolean addNested(GroovyClassDoc nestedClass)

### addProperty

    public boolean addProperty(GroovyFieldDoc property)

### commentText

    public java.lang.String commentText()

### constructors

    public GroovyConstructorDoc[] constructors()

  returns a sorted array of constructors

### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)

### decodeSpecialSymbols

    public static java.lang.String decodeSpecialSymbols(java.lang.String text)

### definesSerializableFields

    public boolean definesSerializableFields()

### encodeSpecialSymbols

    public static java.lang.String encodeSpecialSymbols(java.lang.String text)

### enumConstants

    public GroovyFieldDoc[] enumConstants()

  returns a sorted array of enum constants

### fields

    public GroovyFieldDoc[] fields()

  returns a sorted array of fields

### fields

    public GroovyFieldDoc[] fields(boolean filter)

### findClass

    public GroovyClassDoc findClass(java.lang.String className)

### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()

### getDocUrl

    public java.lang.String getDocUrl(java.lang.String type)

### getDocUrl

    public java.lang.String getDocUrl(java.lang.String type, boolean full)

### getDocUrl

    public static java.lang.String getDocUrl(java.lang.String type, boolean full, java.util.List links, java.lang.String relativePath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)

### getFullPathName

    public java.lang.String getFullPathName()

### getOuter

    public GroovyClassDoc getOuter()

### getParentClasses

    public java.util.List getParentClasses()

### getParentInterfaces

    public java.util.Set getParentInterfaces()

### getRelativeRootPath

    public java.lang.String getRelativeRootPath()

### getSuperClassName

    public java.lang.String getSuperClassName()

### importedClasses

    public GroovyClassDoc[] importedClasses()

### importedPackages

    public GroovyPackageDoc[] importedPackages()

### innerClasses

    public GroovyClassDoc[] innerClasses()

  returns a sorted array of nested classes and interfaces

### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)

### interfaceTypes

    public GroovyType[] interfaceTypes()

### interfaces

    public GroovyClassDoc[] interfaces()

### isExternalizable

    public boolean isExternalizable()

### isGroovy

    public boolean isGroovy()

### isPrimitive

    public boolean isPrimitive()

### isSerializable

    public boolean isSerializable()

### methods

    public GroovyMethodDoc[] methods()

  returns a sorted array of methods

### methods

    public GroovyMethodDoc[] methods(boolean filter)

### properties

    public GroovyFieldDoc[] properties()

  returns a sorted array of properties

### qualifiedTypeName

    public java.lang.String qualifiedTypeName()

### replaceAllTags

    public java.lang.String replaceAllTags(java.lang.String self, java.lang.String s1, java.lang.String s2, java.util.regex.Pattern regex)

### replaceAllTags

    public static java.lang.String replaceAllTags(java.lang.String self, java.lang.String s1, java.lang.String s2, java.util.regex.Pattern regex, java.util.List links, java.lang.String relPath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)

### replaceAllTagsCollated

    public java.lang.String replaceAllTagsCollated(java.lang.String self, java.lang.String preKey, java.lang.String postKey, java.lang.String valueSeparator, java.lang.String postValues, java.util.regex.Pattern regex)

### replaceTags

    public java.lang.String replaceTags(java.lang.String comment)

### serializableFields

    public GroovyFieldDoc[] serializableFields()

### serializationMethods

    public GroovyMethodDoc[] serializationMethods()

### setFullPathName

    public void setFullPathName(java.lang.String fullPathName)

### setGroovy

    public void setGroovy(boolean isgroovy)

### setOuter

    public void setOuter(GroovyClassDoc outer)

### setSuperClass

    public void setSuperClass(GroovyClassDoc doc)

### setSuperClassName

    public void setSuperClassName(java.lang.String className)

### simpleTypeName

    public java.lang.String simpleTypeName()

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

### superclass

    public GroovyClassDoc superclass()

### superclassType

    public GroovyType superclassType()

### typeName

    public java.lang.String typeName()

Groovy Documentation